GET /products/:id/customer-pricing/:customer
Parameters
id: The identifier as specified when the product was created
customer: The identifier of the customer
Status codes
200 on success
404 if the product or customer pricing was not found
Response
price: The integer price in cents, if available
pricing: Optional scaled pricing setup
strategy: The pricing strategy, one of "VOLUME", "INCREMENTAL", or
"DIVISIBLE"
price_points: The prices used in the pricing based on the quantity of
products.
from: The number of products the price point is applied from
price: The price for one product
date_overrides: An array of date periods where the price points are
different from the default ones. Each product of the array can have the
following properties:
from_date: The start of the validity for the date override. Can be open
ended if no to_date is given.
to_date: The last day of the date range. It is inclusive, the override
is still valid on this date.
price_points: The price points to be used for this date range or from
this start date.
Example response
{
"price": 725,
"pricing": {
"strategy": "VOLUME",
"price_points": [
{
"from": 1,
"price": 725
},
{
"from": 100,
"price": 699
}
]
}
}